dbgsym packages generated during build, but not uploaded

Bug #711523 reported by Loïc Minier on 2011-02-01
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
armel-cross-toolchain-base (Ubuntu)
Undecided
Marcin Juszkiewicz
binutils (Ubuntu)
Undecided
Unassigned
gcc-4.5-armel-cross (Ubuntu)
Undecided
Marcin Juszkiewicz

Bug Description

Hi

I've checked the 1.58 build log, and I can see dbgsym ddebs being generated for various packages, but they aren't uploaded.

I think the .ddebs also need to be repacked (currently only .debs are repacked) and listed in debian/files for dpkg-genchanges to pick them up.

You might not want the same things in the ddebs as in the debs (probably don't need special treatment of changelog etc.).

Thanks!

Related branches

Marcin Juszkiewicz (hrw) on 2011-02-02
Changed in armel-cross-toolchain-base (Ubuntu):
status: New → In Progress
Changed in gcc-4.5-armel-cross (Ubuntu):
status: New → In Progress
Changed in armel-cross-toolchain-base (Ubuntu):
assignee: nobody → Marcin Juszkiewicz (hrw)
Changed in gcc-4.5-armel-cross (Ubuntu):
assignee: nobody → Marcin Juszkiewicz (hrw)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-4.5-armel-cross - 1.44

---------------
gcc-4.5-armel-cross (1.44) natty; urgency=low

  * switch to use wildcard instead of listing packages so ddebs will be
    provided - closes LP: #711523
 -- Marcin Juszkiewicz <email address hidden> Wed, 02 Feb 2011 12:46:25 +0100

Changed in gcc-4.5-armel-cross (Ubuntu):
status: In Progress → Fix Released
Marcin Juszkiewicz (hrw) wrote :

This patch adds generation of -dbgsym package for cross builds of binutils.

Matthias Klose (doko) wrote :

dbgsym package should not be created by the package itself. if a -dbg package is required, please build it explicitly. also think about how the dbg packages should work when binutils-multiarch is installed.

Changed in binutils (Ubuntu):
status: New → Incomplete
Marcin Juszkiewicz (hrw) wrote :

Matthias: do "apt-get install pkg-create-dbgsym" and rebuild normal binutils. You will get binutils-dbgsym and binutils-multiarch-dbgsym packages. My debdiff enables binutils-TARGET-dbgsym and nothing more.

On 16.02.2011 16:38, Marcin Juszkiewicz wrote:
> Matthias: do "apt-get install pkg-create-dbgsym" and rebuild normal
> binutils. You will get binutils-dbgsym and binutils-multiarch-dbgsym
> packages. My debdiff enables binutils-TARGET-dbgsym and nothing more.

is there any precedence that pkg-create-dbgsym is called directly by packaging
rules, rather than by pkgbinarymangler?

Dnia sobota, 19 lutego 2011 o 17:22:09 Matthias Klose napisał(a):
> On 16.02.2011 16:38, Marcin Juszkiewicz wrote:
> > Matthias: do "apt-get install pkg-create-dbgsym" and rebuild normal
> > binutils. You will get binutils-dbgsym and binutils-multiarch-dbgsym
> > packages. My debdiff enables binutils-TARGET-dbgsym and nothing more.
>
> is there any precedence that pkg-create-dbgsym is called directly by
> packaging rules, rather than by pkgbinarymangler?

I just copied existing behaviour for normal packages into cross part of rules.
Probably calls of pkg-create-dbgsym per each package was needed. Will check
who added them on first time.

Regards,
--
JID: <email address hidden>
Website: http://marcin.juszkiewicz.com.pl/
LinkedIn: http://www.linkedin.com/in/marcinjuszkiewicz

William Grant (wgrant) wrote :

This needs to be reverted: Launchpad doesn't accept DDEBs for primary archive uploads yet, and not even in PPAs does it work in non-confusing ways. You need to generate the DDEBs and leave them in the build directory, but not listed in the changes file; sbuild will grab them from primary archive builds and they will end up on ddebs.ubuntu.com.

For now your binaries have been rejected.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package binutils - 2.21.0.20110327-2ubuntu1

---------------
binutils (2.21.0.20110327-2ubuntu1) natty; urgency=low

  [ Marcin Juszkiewicz ]
  * Build -dbgsym package for cross builds. LP: #711523.

binutils (2.21.0.20110327-2) unstable; urgency=low

  * Fix architecture field for binutils-gold.
  * Configure with --disable-werror on armhf.

binutils (2.21.0.20110327-1) unstable; urgency=low

  * Update from the 2.21 branch 20110327.
  * Add multiarch directories to linker search path. Closes: #369064.
    LP: #738098.
 -- Matthias Klose <email address hidden> Thu, 31 Mar 2011 16:24:10 +0200

Changed in binutils (Ubuntu):
status: Incomplete → Fix Released
Marcin Juszkiewicz (hrw) on 2011-04-07
Changed in armel-cross-toolchain-base (Ubuntu):
status: In Progress → Fix Committed
Marcin Juszkiewicz (hrw) on 2011-04-14
Changed in armel-cross-toolchain-base (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers